import java.util.ArrayList;

/**
 * Bevat alle lidmaatschapdetails voor één club. Dit keer is er geen limiet op het aantal leden.
 */
public class Club {
    
    private ArrayList<Lidmaatschap> lijst;
    
    /**
     * Nieuwe club, zonder leden
     */
    public Club() {
        lijst = new ArrayList<>();
    }

    /**
     * Voeg een nieuw lidmaatschap toe
     */
    public void maakLid(Lidmaatschap lidmaatschap) {
        lijst.add(lidmaatschap);
    }
    
    /**
     * Voeg een nieuw lidmaatschap toe
     */
    public void maakLid(String naam, int maand, int jaar) {
        maakLid (new Lidmaatschap (naam, maand, jaar));
    }
     
    /**
     * Aantal leden
     */
    public int getAantalLeden() {
        return lijst.size();
    }
    
    /**
     * Aantal leden ingeschreven in een bepaalde
     * maand en een bepaald jaar
     */
    public int getAantalLeden (int maand, int jaar) {
        int aantal = 0;
        for (Lidmaatschap lms: lijst) {
            if (maand == lms.getMaand() && jaar == lms.getJaar()) {
              aantal++;
            }
        }
        return aantal;
    }        
    
    /**
     * Verwijder alle leden de zijn ingeschreven
     * in een bepaalde maand en een bepaald jaar
     */
    public void verwijderLeden (int maand, int jaar) {
        // gemakkelijkst van achter naar voor
        for (int i=lijst.size()-1; i >=0; i--) {
            Lidmaatschap lms = lijst.get(i);
            if (lms.getMaand() == maand && lms.getJaar() == jaar) {
                lijst.remove(i);
            }
        }
    }
    
}

