/**
 * Bevat de details van een lidmaatschap 
 */
public class Lidmaatschap {
   
    private String naam; // naam v/h lid
    
    // tijdstip waarop het lidmaatschap begon
    private int maand;  // 1-12    
    private int jaar;   // bv. 2014

    /**
     * Nieuw lidmaatschap
     */
    public Lidmaatschap(String naam, int maand, int jaar) {
        if(maand < 1 || maand > 12) {
            // doet het programma stoppen met een foutboodschap
            throw new IllegalArgumentException(
                "maand " + maand + " buiten bereik (1..12)");
        }
        this.naam = naam;
        this.maand = maand;
        this.jaar = jaar;
    }
    
    /**
     * De naam van het lid
     */
    public String getNaam() {
        return naam;
    }
    
    /**
     * @return De maand waarop het lidmaatschap begon
     */
    public int getMaand() {
        return maand;
    }

    /**
     * @return Het jaar waarop het lidmaatschap begon
     */
    public int getJaar() {
        return jaar;
    }

    /**
     * @return Een string-voorstelling van het lidmaatschap
     */
    public String toString() {
        return "Naam: " + naam + " werd lid in maand " +
               maand + " van " + jaar;
    }
}

